BCMP(9)

NAME
bcmp - compare byte string

SYNOPSIS
#include <sys/systm.h>
int
bcmp(const void *b1, const void *b2, size_t len);

DESCRIPTION
The bcmp() interface is obsolete. Do not add new code using it. It will soon be purged. Use memcmp(9) instead. (The bcmp() function is now a macro for memcmp(9).)

The bcmp() function compares byte string b1 against byte string b2, returning zero if they are identical, non-zero otherwise. Both strings are assumed to be len bytes long. Zero-length strings are always identical.

The strings may overlap.

SEE ALSO
memcmp(9)